.-Postitem {
    max-width: 670px;
    min-width: 495px;
    flex: 1;
    position: relative;
    background: var(--background);
    overflow: hidden;
    box-shadow: 0 2px 5px #00000030;
    display: flex;
    transition: .4s;
    align-items: center;
    border-radius: var(--largeradius);
    cursor: pointer;
}
.-PostThumb {
    overflow: hidden;
    max-height: 240px;
    width: 45%;
    position: relative;
    background: var(--dark-color);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 200px;
}.-PostThumb>img {
    transition: .4s;
}.-Post--Info {
    display: flex;
    padding: 20px;
    position: relative;
    z-index: 2;
    flex-direction: column;
    flex: 1;
}.posts_title {
    font-size: 17px;
    color: var(--primary-text);
    font-weight: 400;
    line-height: 1.6;
    margin-bottom: 8px;
}p.blog_contant {
    line-height: 1.6;
    color: var(--secondarytext);
    font-weight: 400;
    transition: .4s;
}.-Post--Info .icon_title {
    font-size: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 0;
    cursor: pointer;
    color: var(--uicolor-2);
    overflow: hidden;
    padding-inline-start: 13px;
    position: relative;
    background: #fff;
    margin-top: 12px;
    flex-direction: row-reverse;
    border-radius: var(--largeradius);
}.-Post--Info .icon_title::before {
    content: "";
    position: absolute;
    top: 0;
    left: 69px;
    bottom: -6px;
    z-index: 1;
    --pitoon-primary: white;
    height: 100%;
    background: white;
    border: 0 !important;
    width: 39px;
    border-radius: 50%;
}.-Post--Info .icon_title i {
    font-weight: 400;
    padding: 10px 30px;
    font-size: 26px;
    transform: rotateY(180deg);
    background: var(--uicolor-2);
    color: #fff;
    width: 90px;
    height: 49px;
}.-Postitem:hover .-PostThumb img {
    transform: scale(1.08);
}.-Postitem.item_2 {
    flex-direction: column;
    min-width: 270px;
    max-width: 335px;
    background: white;
    box-shadow: none;
    border: 2px solid var(--diver);
}.-PostThumb.item_2 {
    width: 100%;
    max-height: 199px;
}.posts_title.item2 {
    font-size: 17px;
    max-height: 30px;
    overflow: hidden;
}.icon_title.item2 {
    background: var(--background);
}.-Post--Info .icon_title.item2::before {
    background: var(--background);
}